> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/check-status.md).

# Retrieve a Check

<mark style="color:blue;">**GET**</mark> `https://api.zapsign.com.br/api/v1/checks/{{check_id}}/`

#### Path parameters

<table><thead><tr><th width="174">Nombre</th><th width="124">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>check_id</td><td>string</td><td>The unique identifier of the check</td></tr></tbody></table>

#### Header

<table><thead><tr><th width="175">Nombre</th><th width="103">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>API token prefixed with the word "Bearer". Example: Bearer c7f35c84-xxxx</td></tr></tbody></table>

Check Status Values

<table><thead><tr><th width="175">Status</th><th>Description</th></tr></thead><tbody><tr><td><code>not_started</code></td><td>The check is in the queue and data collection has not started yet.</td></tr><tr><td><code>in_progress</code></td><td>Some data sources are still being processed.</td></tr><tr><td><code>delayed</code></td><td>One or more data sources are taking longer than expected, although most have finished.</td></tr><tr><td><code>error</code></td><td>The check has ended with <strong>more than 30%</strong> of data sources resulting in an error.</td></tr><tr><td><code>completed</code></td><td><strong>70% or more</strong> of the data sources have successfully completed, or most did not return an error.</td></tr></tbody></table>

#### Response

```json
{
    "check_id": "CHK41dd253a3e9c018f3d4ee062ac98b091",
    "status": "completed",
    "company_name": "",
    "full_name": "MARIA",
    "last_name": "PEREZ",
    "date_of_birth": null,
    "issue_date": null,
    "national_id": "11111111",
    "passport": "",
    "native_national_id": "",
    "pep": "",
    "ptp": "",
    "foreign_id": "",
    "tax_id": "",
    "country": "CO",
    "native_country": "",
    "check_type": "person",
    "lang": "en",
    "region": "",
    "pdf_report": {
        "status": "completed",
        "url": "https://zapsign.s3.amazonaws.com/2025/4/truora/92001eac-2d94-4115-95d9-ef205693a7d0.pdf?AWSAccessKeyId=AKIASSSZJ7JCTI2ZRGWX&Signature=VddqJfz0B64a9VcWeeewDp8Gca4%3D&Expires=1743787456"
    },
    "created_at": "2025-04-02T20:09:47.017891Z",
    "last_update_at": "2025-04-02T20:24:15.872207Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/check-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
